package cn.wisenergy.service.app.impl;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.mapper.CultivatingPrizeMapper;
import cn.wisenergy.model.app.CultivatingPrize;
import cn.wisenergy.model.vo.CultivatingPrizeVo;
import cn.wisenergy.service.app.CultivatingPrizeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by m1991 on 2021/3/26 11:06
 */
@Service
@Slf4j
public class CultivatingPrizeServiceImpl implements CultivatingPrizeService {

    @Autowired
    public CultivatingPrizeMapper cultivatingPrizeMapper;

    @Override
    public R<List<CultivatingPrize>> getCultivatingPrizeList() {
        log.info("shop-mall[]CultivatingPrizeServiceImpl[]getCultivatingPrizeList[]input.param.query:" );

        List<CultivatingPrize> cultivatingPrizeList = cultivatingPrizeMapper.getCultivatingPrizeList();

        return R.ok(cultivatingPrizeList);
    }
}
